Skip to main content
PATCH
Update Test

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

test_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 200
test_type
enum<string> | null
Available options:
next_reply,
tool,
simulation
conversation
AgentTestMessagePayload · object[] | null
expectation
string | null
Maximum string length: 400
success_examples
string[] | null
failure_examples
string[] | null
referenced_tool
AgentTestReferencedTool · object | null

Tool the runner should (or should not) observe on the next turn. A webhook or client tool is referenced by its library id, an integration tool by "<provider_key>:<tool_name>" (for example "google_calendar:create_event").

tool_parameters
AgentTestToolParameter · object[] | null
verify_absence
boolean | null
simulation
AgentTestSimulationConfig · object | null
dynamic_variables
Dynamic Variables · object | null

Response

Request fulfilled, document follows

test_id
string
required
workspace_id
string
required
name
string
required
test_type
enum<string>
required
Available options:
next_reply,
tool,
simulation
created_at
string<date-time>
required
updated_at
string<date-time>
required
agent_ids
string[]

Agents this test is attached to.

conversation
PublicAgentTestMessage · object[]
expectation
string
default:""
success_examples
string[]
failure_examples
string[]
referenced_tool
AgentTestReferencedTool · object | null

Tool the runner should (or should not) observe on the next turn. A webhook or client tool is referenced by its library id, an integration tool by "<provider_key>:<tool_name>" (for example "google_calendar:create_event").

tool_parameters
AgentTestToolParameter · object[]
verify_absence
boolean
default:false
simulation
AgentTestSimulationConfig · object | null
dynamic_variables
Dynamic Variables · object